> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/reference/sql-commands/drop-conversion.md).

# DROP CONVERSION

## DROP CONVERSION

DROP CONVERSION — remove a conversion

### Synopsis

```

DROP CONVERSION [ IF EXISTS ] name [ CASCADE | RESTRICT ]
```

### Description

`DROP CONVERSION` removes a previously defined conversion. To be able to drop a conversion, you must own the conversion.

### Parameters

`IF EXISTS`

Do not throw an error if the conversion does not exist. A notice is issued in this case.

*`name`*

The name of the conversion. The conversion name can be schema-qualified.

`CASCADE`\
`RESTRICT`

These key words do not have any effect, since there are no dependencies on conversions.

### Examples

To drop the conversion named `myname`:

```

DROP CONVERSION myname;
```

### Compatibility

There is no `DROP CONVERSION` statement in the SQL standard, but a `DROP TRANSLATION` statement that goes along with the `CREATE TRANSLATION` statement that is similar to the `CREATE CONVERSION` statement in PostgreSQL.

### See Also

[ALTER CONVERSION](/15/reference/sql-commands/alter-conversion.md), [CREATE CONVERSION](/15/reference/sql-commands/create-conversion.md)

***

原文：[PostgreSQL 15.19 Documentation](/15/reference/sql-commands/drop-conversion.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/reference/sql-commands/drop-conversion.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
